import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

@Component({
  selector: 'app-family-card',
  templateUrl: './family-card.component.html',
  styleUrls: ['./family-card.component.css']
})
export class FamilyCardComponent implements OnInit {
  @Input() icon: string;
  @Input() family: string;
  @Input() id: string;

  @Output() familyClicked = new EventEmitter<string>();

  constructor() {
    this.icon = "";
    this.family = "";
    this.id = "";
  }

  ngOnInit(): void {
  }

  clickFamily(){
    this.familyClicked.emit(this.id);
  }
}
